<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>LibArch: src/lib_memmgt.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">LibArch
   </div>
   <div id="projectbrief">Library architecture and framework</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">lib_memmgt.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;xdc/std.h&gt;</code><br/>
<code>#include &quot;<a class="el" href="../../db/d68/lib__memmgt_8h_source.html">lib_memmgt.h</a>&quot;</code><br/>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:aef56ec9026728bbc68740371f2773785"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d45/lib__memmgt_8c.html#aef56ec9026728bbc68740371f2773785">lib_align</a>(addr, algn)</td></tr>
<tr class="memdesc:aef56ec9026728bbc68740371f2773785"><td class="mdescLeft">&#160;</td><td class="mdescRight">Macro to align an address to power of 2.  <a href="#aef56ec9026728bbc68740371f2773785">More...</a><br/></td></tr>
<tr class="separator:aef56ec9026728bbc68740371f2773785"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aa98179e19b671c12ff1954aeb499f601"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d45/lib__memmgt_8c.html#aa98179e19b671c12ff1954aeb499f601">lib_smem_init</a> (void *handle, int mem_type, void *base, size_t size)</td></tr>
<tr class="memdesc:aa98179e19b671c12ff1954aeb499f601"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialization for a given memory handle and memory type.  <a href="#aa98179e19b671c12ff1954aeb499f601">More...</a><br/></td></tr>
<tr class="separator:aa98179e19b671c12ff1954aeb499f601"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae59db9172756dc9b96a1c655285894f6"><td class="memItemLeft" align="right" valign="top">static void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d45/lib__memmgt_8c.html#ae59db9172756dc9b96a1c655285894f6">lib_smem_alloc</a> (void *handle, int mem_type, size_t size, size_t align)</td></tr>
<tr class="memdesc:ae59db9172756dc9b96a1c655285894f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Memory block allocation for a given memory handle and memory type.  <a href="#ae59db9172756dc9b96a1c655285894f6">More...</a><br/></td></tr>
<tr class="separator:ae59db9172756dc9b96a1c655285894f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cf2e5afc3f0ac3c15959ef947e21f2c"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d45/lib__memmgt_8c.html#a4cf2e5afc3f0ac3c15959ef947e21f2c">lib_smem_reset</a> (void *handle, int mem_type)</td></tr>
<tr class="memdesc:a4cf2e5afc3f0ac3c15959ef947e21f2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset for a given memory handle and memory type.  <a href="#a4cf2e5afc3f0ac3c15959ef947e21f2c">More...</a><br/></td></tr>
<tr class="separator:a4cf2e5afc3f0ac3c15959ef947e21f2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeeb7c8294fcd4640e4eaf7a741397032"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#gaeeb7c8294fcd4640e4eaf7a741397032">lib_smem_vinit</a> (void *handle, void *base, size_t size)</td></tr>
<tr class="memdesc:gaeeb7c8294fcd4640e4eaf7a741397032"><td class="mdescLeft">&#160;</td><td class="mdescRight">Refer to <a class="el" href="../../db/d68/lib__memmgt_8h.html">lib_memmgt.h</a> for detailed documentation.  <a href="../../d7/da6/group__libarch__memmgt.html#gaeeb7c8294fcd4640e4eaf7a741397032">More...</a><br/></td></tr>
<tr class="separator:gaeeb7c8294fcd4640e4eaf7a741397032"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadd591cf0185afae77c89e62a35af6395"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#gadd591cf0185afae77c89e62a35af6395">lib_smem_finit</a> (void *handle, void *base, size_t size)</td></tr>
<tr class="memdesc:gadd591cf0185afae77c89e62a35af6395"><td class="mdescLeft">&#160;</td><td class="mdescRight">Refer to <a class="el" href="../../db/d68/lib__memmgt_8h.html">lib_memmgt.h</a> for detailed documentation.  <a href="../../d7/da6/group__libarch__memmgt.html#gadd591cf0185afae77c89e62a35af6395">More...</a><br/></td></tr>
<tr class="separator:gadd591cf0185afae77c89e62a35af6395"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga991a1c6d4b40f4b4750c7fd1f8aa73f6"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#ga991a1c6d4b40f4b4750c7fd1f8aa73f6">lib_smem_minit</a> (void *handle, void *base, size_t size)</td></tr>
<tr class="memdesc:ga991a1c6d4b40f4b4750c7fd1f8aa73f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Refer to <a class="el" href="../../db/d68/lib__memmgt_8h.html">lib_memmgt.h</a> for detailed documentation.  <a href="../../d7/da6/group__libarch__memmgt.html#ga991a1c6d4b40f4b4750c7fd1f8aa73f6">More...</a><br/></td></tr>
<tr class="separator:ga991a1c6d4b40f4b4750c7fd1f8aa73f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1dd9ae589bdfe68ced145885ea4c4789"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#ga1dd9ae589bdfe68ced145885ea4c4789">lib_smem_sinit</a> (void *handle, void *base, size_t size)</td></tr>
<tr class="memdesc:ga1dd9ae589bdfe68ced145885ea4c4789"><td class="mdescLeft">&#160;</td><td class="mdescRight">Refer to <a class="el" href="../../db/d68/lib__memmgt_8h.html">lib_memmgt.h</a> for detailed documentation.  <a href="../../d7/da6/group__libarch__memmgt.html#ga1dd9ae589bdfe68ced145885ea4c4789">More...</a><br/></td></tr>
<tr class="separator:ga1dd9ae589bdfe68ced145885ea4c4789"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga24093174e441c683650863236dcb9806"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#ga24093174e441c683650863236dcb9806">lib_smem_valloc</a> (void *handle, size_t size, size_t align)</td></tr>
<tr class="memdesc:ga24093174e441c683650863236dcb9806"><td class="mdescLeft">&#160;</td><td class="mdescRight">Refer to <a class="el" href="../../db/d68/lib__memmgt_8h.html">lib_memmgt.h</a> for detailed documentation.  <a href="../../d7/da6/group__libarch__memmgt.html#ga24093174e441c683650863236dcb9806">More...</a><br/></td></tr>
<tr class="separator:ga24093174e441c683650863236dcb9806"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga51d763b1f89ef58e83cb9e4bc7546ba8"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#ga51d763b1f89ef58e83cb9e4bc7546ba8">lib_smem_falloc</a> (void *handle, size_t size, size_t align)</td></tr>
<tr class="memdesc:ga51d763b1f89ef58e83cb9e4bc7546ba8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Refer to <a class="el" href="../../db/d68/lib__memmgt_8h.html">lib_memmgt.h</a> for detailed documentation.  <a href="../../d7/da6/group__libarch__memmgt.html#ga51d763b1f89ef58e83cb9e4bc7546ba8">More...</a><br/></td></tr>
<tr class="separator:ga51d763b1f89ef58e83cb9e4bc7546ba8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaac0047f2fe5ce1dfad45fc0333d906dc"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#gaac0047f2fe5ce1dfad45fc0333d906dc">lib_smem_malloc</a> (void *handle, size_t size, size_t align)</td></tr>
<tr class="memdesc:gaac0047f2fe5ce1dfad45fc0333d906dc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Refer to <a class="el" href="../../db/d68/lib__memmgt_8h.html">lib_memmgt.h</a> for detailed documentation.  <a href="../../d7/da6/group__libarch__memmgt.html#gaac0047f2fe5ce1dfad45fc0333d906dc">More...</a><br/></td></tr>
<tr class="separator:gaac0047f2fe5ce1dfad45fc0333d906dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga08b73e8bf61fb50e20e08f7df4de636b"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#ga08b73e8bf61fb50e20e08f7df4de636b">lib_smem_salloc</a> (void *handle, size_t size, size_t align)</td></tr>
<tr class="memdesc:ga08b73e8bf61fb50e20e08f7df4de636b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Refer to <a class="el" href="../../db/d68/lib__memmgt_8h.html">lib_memmgt.h</a> for detailed documentation.  <a href="../../d7/da6/group__libarch__memmgt.html#ga08b73e8bf61fb50e20e08f7df4de636b">More...</a><br/></td></tr>
<tr class="separator:ga08b73e8bf61fb50e20e08f7df4de636b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga65c30f7a20c6e359df9d73db0c9078c1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#ga65c30f7a20c6e359df9d73db0c9078c1">lib_smem_vreset</a> (void *handle)</td></tr>
<tr class="memdesc:ga65c30f7a20c6e359df9d73db0c9078c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Refer to <a class="el" href="../../db/d68/lib__memmgt_8h.html">lib_memmgt.h</a> for detailed documentation.  <a href="../../d7/da6/group__libarch__memmgt.html#ga65c30f7a20c6e359df9d73db0c9078c1">More...</a><br/></td></tr>
<tr class="separator:ga65c30f7a20c6e359df9d73db0c9078c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga18470bba549f0d9c4a6d98a1f615b8c2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#ga18470bba549f0d9c4a6d98a1f615b8c2">lib_smem_freset</a> (void *handle)</td></tr>
<tr class="memdesc:ga18470bba549f0d9c4a6d98a1f615b8c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Refer to <a class="el" href="../../db/d68/lib__memmgt_8h.html">lib_memmgt.h</a> for detailed documentation.  <a href="../../d7/da6/group__libarch__memmgt.html#ga18470bba549f0d9c4a6d98a1f615b8c2">More...</a><br/></td></tr>
<tr class="separator:ga18470bba549f0d9c4a6d98a1f615b8c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga38dbf46a5af66e691ba20ffb61f9932e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#ga38dbf46a5af66e691ba20ffb61f9932e">lib_smem_mreset</a> (void *handle)</td></tr>
<tr class="memdesc:ga38dbf46a5af66e691ba20ffb61f9932e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Refer to <a class="el" href="../../db/d68/lib__memmgt_8h.html">lib_memmgt.h</a> for detailed documentation.  <a href="../../d7/da6/group__libarch__memmgt.html#ga38dbf46a5af66e691ba20ffb61f9932e">More...</a><br/></td></tr>
<tr class="separator:ga38dbf46a5af66e691ba20ffb61f9932e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa3fb30e824c80ec62d4e7847f292108f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da6/group__libarch__memmgt.html#gaa3fb30e824c80ec62d4e7847f292108f">lib_smem_sreset</a> (void *handle)</td></tr>
<tr class="memdesc:gaa3fb30e824c80ec62d4e7847f292108f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Refer to <a class="el" href="../../db/d68/lib__memmgt_8h.html">lib_memmgt.h</a> for detailed documentation.  <a href="../../d7/da6/group__libarch__memmgt.html#gaa3fb30e824c80ec62d4e7847f292108f">More...</a><br/></td></tr>
<tr class="separator:gaa3fb30e824c80ec62d4e7847f292108f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="aef56ec9026728bbc68740371f2773785"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define lib_align</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">addr, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">algn&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Value:</b><div class="fragment"><div class="line">( ((<span class="keywordtype">unsigned</span> int)(addr)+(<span class="keywordtype">unsigned</span> int)(algn)-1) \</div>
<div class="line">                                &amp;(~((<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>)(algn)-1)) )</div>
</div><!-- fragment -->
<p>Macro to align an address to power of 2. </p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ae59db9172756dc9b96a1c655285894f6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void* lib_smem_alloc </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mem_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>align</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Memory block allocation for a given memory handle and memory type. </p>

</div>
</div>
<a class="anchor" id="aa98179e19b671c12ff1954aeb499f601"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int lib_smem_init </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mem_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Initialization for a given memory handle and memory type. </p>

</div>
</div>
<a class="anchor" id="a4cf2e5afc3f0ac3c15959ef947e21f2c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int lib_smem_reset </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mem_type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reset for a given memory handle and memory type. </p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Mar 6 2017 14:10:51 for LibArch by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="../../doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
